Getting started with VichUploaderBundle
=======================================

VichUploaderBundle provides an easy way to link file uploads with a persistence
layer.

So if you want to save file uploads to ORM entities, MongoDB ODM documents,
PHPCR ODM documents or Propel models, you are in the right place.


## Installation

Don't worry, it will be quick and easy (I promise!):

  * [Installation procedure](installation.md)


## Usage

  * [Basic usage](usage.md)
  * [Generating URLs](generating_urls.md)


## Cookbooks

### Namers-related

  * [Working with file and directory namers](namers.md)
  * [Writing a custom file namer](file_namer/howto/create_a_custom_file_namer.md)
  * [Writing a custom directory namer](directory_namer/howto/create_a_custom_directory_namer.md)

### Storage-related

  * [Using Gaufrette as storage abstraction](storage/gaufrette.md)
  * [Using Flysystem as storage abstraction](storage/flysystem.md)

### Mapping-related

  * [YAML](mapping/yaml.md)
  * [XML](mapping/xml.md)

### Forms-related

  * [Using the bundled form type](form/vich_file_type.md)

## Useful resources

  * [Configuration reference](configuration_reference.md)
  * [Events](../../Event/Events.php)
  * [Sandbox](https://github.com/K-Phoen/Vich-Uploader-Sandbox)
  * [Known issues](known_issues.md)
